import * as React from 'react';
import './style.css';
export interface IMusic {
    img?: string;
    id: string;
    artist?: string;
    name?: string;
    src: string;
}
export interface IOperate {
    option: string;
    music: IMusic;
}
export interface PlayProps {
    info: IMusic[];
    autoplay: boolean;
    currentTime?: any;
    onChange: (arg: IMusic) => void;
    onOperate: (arg: IOperate) => void;
    onTimeUpdate?: (currentTime: any, duration: any) => void;
    onPlay?: (arg: boolean) => void;
}
declare const _default: React.ForwardRefExoticComponent<PlayProps & React.RefAttributes<unknown>>;
export default _default;
